=== debian/changelog ===
bzip2 (1.0.5-1ubuntu1.1common0sendai1) jaunty; urgency=low

  * SECURITY UPDATE: Fix temporary file creation race condition
    - bzexe: Ensure link target is a regular file. Patch from vladz.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
    - CVE-2011-4089

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 03:07:45 +0900

bzip2 (1.0.5-1ubuntu1.1) jaunty-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 09 Sep 2010 10:16:51 -0500

bzip2 (1.0.5-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: install to /usr/lib32 on amd64

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Nov 2008 12:48:20 +0100

bzip2 (1.0.5-1) unstable; urgency=low

  * Fix "bzdiff doesn't work if $TMPDIR contains spaces"; closes: #493710
    Patch by Vincent Lefevre <vincent@vinc17.org>
  * Standards-Version is 3.8.0
  * Fixed the following lintian issues:
    W: bzip2-doc: doc-base-unknown-section bzip2:9 Apps/Tools

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 05 Aug 2008 19:52:24 +1000

bzip2 (1.0.5-0.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: install to /usr/lib32 on amd64

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Jun 2008 09:55:20 +0200

bzip2 (1.0.5-0.1) unstable; urgency=high

  * NMU
  * New upstream version. Fixes a denial of service via a crafted file. 
    Ref: CVE-2008-1372. (Closes: #471670). 

 -- Luis Uribe <acme@eviled.org>  Mon, 24 Mar 2008 13:34:34 -0500

bzip2 (1.0.4-4) unstable; urgency=low

  * bzcmp: Fixed exit status for one-argument usage. Thanks to 
    Peter Samuelson <peter@p12n.org> (Closes: #464217).
  * debian/control: Added ${shlibs:Depends} to bzip2's Depends

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 10 Mar 2008 20:41:46 +0100

bzip2 (1.0.4-3) unstable; urgency=low

  * debian/rules: changing mode for actual files in dev{32,64} dirs to
    avoid afecting dangling symlinks and make chmod happy. 
    (Closes: #464270)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 06 Feb 2008 23:31:58 +0100
