## bzip2 1.0.5-2

=== debian/changelog ===
bzip2 (1.0.5-2) unstable; urgency=low

  * Included patching mechanism into build process

 -- Lauri Jakku <ext-lauri.jakku@nokia.com>  Wed, 27 Aug 2008 10:24:30 +0300
