## bzip2 1.0.5-3+0m5

=== debian/changelog ===
bzip2 (1:1.0.5-3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 23 Jun 2009 09:11:26 +0300

bzip2 (1:1.0.5-3) unstable; urgency=low

  * Include debug package for libbz2-1.0.
    Fixes: NB#118321.
  * Migrate to cdbs.
  * Increase compat level to 5.
  * Dependency fixes.

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 18 Jun 2009 15:16:40 +0300

bzip2 (1.0.5-2-rc1) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix -rc1 added to package revision

 -- Laitinen Vesa-Matti <ext-vesa-matti.laitinen@nokia.com>  Fri, 02 Jan 2009 13:04:25 +0200
