=== debian/control ===
Source: bzip2
Section: utils
Priority: standard
Maintainer: Tapani Palli <tapani.palli@nokia.com>
Standards-Version: 3.6.1.1
Build-depends: texinfo, cdbs, debhelper

Package: libbz2-1.0
Priority: standard
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libbz2-dev, bzip2
Description: high-quality block-sorting file compressor library - runtime
 This package contains libbzip2 which is used by the bzip2 compressor.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: libbz2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbz2-1.0(=${Source-Version}), libc6-dev | libc-dev
Replaces: bzip2(<<0.9.5d-3)
Description: high-quality block-sorting file compressor library - development
 Static libraries and include files for the bzip2 compressor library.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: libbz2-1.0-dbg
Priority: optional
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbz2-1.0 (=${binary:Version})
Description: high-quality block-sorting file compressor library - runtime
 This package contains libbzip2 debugging symbols.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: bzip2
Priority: optional
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libbz2(<<0.9.5d-3)
Description: high-quality block-sorting file compressor - utilities
 This package contains the debugging symbols for the bzip2 utilities.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: bzip2-dbg
Priority: optional
Section: devel
Architecture: any
Depends: ${misc:Depends}, bzip2 (=${binary:Version})
Description: high-quality block-sorting file compressor - utilities
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/
