=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>

SHELL = /bin/bash
package = bzip2

include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = all
DEB_MAKE_INSTALL_TARGET = install PREFIX=$(CURDIR)/debian/tmp/usr
DEB_MAKE_CHECK_TARGET   = check

DEB_DBG_PACKAGE_libbz2-1.0 = libbz2-1.0-dbg
DEB_DBG_PACKAGE_bzip2 = bzip2-dbg
