## bzip2 1.0.6

=== debian/changelog ===
bzip2 (1.0.6-9.2~deb10u2) buster-security; urgency=medium

  * Append -D_FILE_OFFSET_BITS=64 variable to buildflags, to renable handling
    big files in 32-bit archs (Closes: #944557)
  * debian/patches/40-bzdiff-l.patch: Fix bzdiff does not work when comparing
    two bzip2 compressed files. Thanks to Joey Schulze <joey@infodrom.org>.
    (Closes: #965309)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 21 Jul 2020 10:36:47 +0200

bzip2 (1.0.6-9.2~deb10u1) buster; urgency=medium

  * Rebuild for buster

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Jul 2019 21:17:52 +0200

bzip2 (1.0.6-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Accept as many selectors as the file format allows (Closes: #931278)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Jul 2019 06:25:07 +0200

bzip2 (1.0.6-9.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make sure nSelectors is not out of range (CVE-2019-12900)
    (Closes: #930886)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Jun 2019 22:15:37 +0200

bzip2 (1.0.6-9) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * debian/control: use secure Vcs- urls.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Add 40-bzdiff-l.patch: bzdiff properly passes -I option to diff.
    Patch from Ubuntu.

  [ Nicolas Boulenguez ]
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
    Remove duplicate Section: and Priority:.
  * Refresh patches without all timestamp noise.
  * Document some patches.
  * Add basic runtime test.
  * Split bzdiff-tmpdir-spaces.diff out of 20-legacy.patch.
  * Split bzip2recover-race-open-output.diff out of 20-legacy.patch.
  * Standards-Version 4.1.4.
  * Generate the manual during build instead of embedding it in a patch.
  * Do not add trailing blank spaces in patches.
  * Split bzexe out of 20-legacy.patch.
    Whether bzexe is suggested upstream or maintained in Debian forever,
    it will be easyer to manage as a normal file than as an upstream patch.
  * Split the patch documenting --help option.
  * Pass -D_REENTRANT via CPPFLAGS instead of a patch.
    The patch only makes upstream handle CPPFLAGS, which may be accepted
    independently of the shared library.
  * Split quoting of XML special characters from 20-legacy.diff.
  * Split the patch building a shared library and handling build flags.
  * Fix split of bzexe, install it to /bin/.
  * Drop Postscript documentation.
    Regeneration of the PS/PDF files fails with interesting messages in
    the LaTeX log. Since Debian policy recommends HTML as the default
    documentation format, and we are able to regenerate this HTML from the
    patched source, it is probably better to provide only this format.

  [ Anthony Fok ]
  * Point Vcs-* URLs to salsa.debian.org.
  * Bump Standards-Version to 4.2.0 (no change).
  * Change Homepage to that archived on web.archive.org because the
    bzip.org domain has expired and may change hands, as reported
    at https://lwn.net/Articles/762264/.  (Closes: #905823)
  * Disable debian/watch as bzip.org has expired and may change hands.
  * Revise bzip2 package description and remove performance comparison
    with other compression software.  (Closes: #636184)
  * Revert to using pristine upstream manual.{html,ps} documentation
    without rebuilding, and install manual.pdf too.
  * Add myself to the list of Uploaders.

 -- Anthony Fok <foka@debian.org>  Tue, 14 Aug 2018 13:28:22 -0600

bzip2 (1.0.6-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * bzip2recover: Fix potential use-after-free, Closes: #827744 (CVE-2016-3189)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jan 2017 18:30:31 +0000

bzip2 (1.0.6-8) unstable; urgency=medium

  * Remove Jorge Ernesto Guevara Cuenca from Uploaders, as agreed with him.
  * Drop unused Build-Depends: gcc-multilib. Thanks to Helmut Grohne
    <helmut@subdivi.de>. Closes: #778640
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 19 May 2015 21:37:20 +0200

bzip2 (1.0.6-7) unstable; urgency=medium

  * d/control: Remove useless lib{32,64}bz2* transition fields
    (Conflicts/Replaces/Provides).

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 31 Jul 2014 17:02:25 +0200

bzip2 (1.0.6-6) unstable; urgency=low

  [ Steve Langasek ]
  * Convert packaging to dh(1). Closes: #754337
  * Drop obsolete maintainer script which hasn't been needed for a decade.
  * Refactor the build targets so that we can move texinfo to
    Build-Depends-Indep.

  [ Santiago Ruano Rincón ]
  * d/rules: override dh_auto_clean to call make clean.
  * libbz2-dev recommends bzip2-doc to fulfill the lack of specific
    development documentation. Closes: #149953
  * Remove lib{32,64}bz2-{1.0,dev} packages. No longer needed, we rely on
    multiarch now.
    libbz2-{1.0,dev} conflict/replace/provide the removed
    packages Closes: #736815
  * d/copyright.in: fix versionless GPL.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Add ${misc:Depends} to all binary packages' dependencies.

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 27 Jul 2014 22:11:31 +0200

bzip2 (1.0.6-5) unstable; urgency=low

  * Adding watch file
  * Updating rules clean rule.
  * Updating Standards-Version to 3.9.4. No changes needed.
  * Don't drink and upload release. Thanks to bubulle, habanero and
    all the Cheese and Wine orga team.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 13 Aug 2013 00:07:30 +0200

bzip2 (1.0.6-4) unstable; urgency=low

  * Updating 30-bzip2-harden.patch, hardening LDFLAGS was missing for
    libbz2.so. Thanks to Simon Ruderich. Closes: #655164

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 27 Jul 2012 16:14:34 +0200

bzip2 (1.0.6-3) unstable; urgency=low

  * Bumped bzip2 priority from optional to standard. Closes: #642657

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 08 Jun 2012 01:50:04 +0200


