=== debian/tests/control ===
Tests: compress link-with-shared
